<?php

function get_aktualis_ajanlatok() {

    $stmt="SELECT kk_ajanlat.*, kk_vforma.nev AS vforma FROM kk_ajanlat LEFT JOIN kk_vforma ON kk_vforma.id=kk_ajanlat.vforma WHERE kk_ajanlat.jovahagyva='1' AND kk_ajanlat.ervenyes >= CURDATE()";
    
    $mydb = new db();
    $result=$mydb->query($stmt);

    while($row = mysql_fetch_object($result)){
        $a_data[]=$row;
        }

    return $a_data;
    }

function write_mail($a_data) {

    $s_msg  = "Könyvelő Kereső Hírlevél - Aktuális munkaajánlatok, összesített lista" ."\n" ."\n";

    foreach ($a_data as $o_current) {
        $s_msg .= write_mail_body($o_current);
        $s_msg .= "---------------------\n\n";
        }

    $s_msg .= "Üdvözlettel: Könyvelő Kereső";

    return $s_msg;
    }


function write_mail_body($data) {

    $a_kategoria = get_kategoriak();

    $msg  = "Azonosító: " . $data->id ."\n" ."\n";

    $msg .= "Ajánlatkérés címsora: " . $data->megnevezes ."\n";
    $msg .= "Ajánlatkérő neve: " . $data->nev ."\n";
    $msg .= "Vállalkozási forma: " . $data->vforma ."\n";

	$szekhely = $data->szekhely;
	if ($szekhely != '') {
        $msg .= "Székhely: " . $szekhely ."\n";
        }

    $fotevekenyseg = $data->fotevekenyseg;
    if ($fotevekenyseg != '') {
        $msg .= "Főtevékenység: " . $fotevekenyseg ."\n";
        }

	$data->munkahely == 1 ? $munkahely="könyvelőnél" : $munkahely="cégnél";
    $msg .= "Munkavégzés helye: " . $munkahely ."\n";

    $bejovo_szamlak = $data->bejovo_szamlak;
    if ($bejovo_szamlak != 0) {
        switch ($bejovo_szamlak) {
            case 1:
                $bejovo_szamlak = "1-10";
            break;
            case 2:
                $bejovo_szamlak = "10-50";
            break;
            case 3:
                $bejovo_szamlak = "50-100";
            break;
            case 4:
                $bejovo_szamlak = "100 felett";
            break;
            default:
                $bejovo_szamlak = "nincs adat";
        }
        $msg .= "Bejövő számlák: " . $bejovo_szamlak ."db/hó"."\n";
        }

    $kimeno_szamlak = $data->kimeno_szamlak;
    if ($kimeno_szamlak != 0) {
        switch ($kimeno_szamlak) {
            case 1:
                $kimeno_szamlak = "1-10";
            break;
            case 2:
                $kimeno_szamlak = "10-50";
            break;
            case 3:
                $kimeno_szamlak = "50-100";
            break;
            case 4:
                $kimeno_szamlak = "100 felett";
            break;
            default:
                $kimeno_szamlak = "nincs adat";
        }
        $msg .= "Kimenő számlák: " . $kimeno_szamlak ."db/hó"."\n";
        }

	$alkalmazottak = $data->alkalmazottak;
	if ($alkalmazottak != '') {
        $msg .= "Alkalmazottak száma: " . $alkalmazottak ."\n";
        }

    $arbevetel = $data->arbevetel;
    if ($arbevetel != 0) {
        switch ($arbevetel) {
            case 1:
                $arbevetel = "0-5";
            break;
            case 2:
                $arbevetel = "5-15";
            break;
            case 3:
                $arbevetel = "15-50";
            break;
            case 4:
                $arbevetel = "50 felett";
            break;
            default:
                $arbevetel = "nincs adat";
        }
        $msg .= "Árbevétel: " . $arbevetel ."MFt/év"."\n";
        }

    $msg .= "Elérhetőség: " . $data->elerhetoseg ."\n";

	$kategoria_1 = $data->kategoria_1;
	if ($kategoria_1 != 0) {
        $msg .= "Kategória 1: " . $a_kategoria[$kategoria_1] ."\n";
        }
	$kategoria_2 = $data->kategoria_2;
	if ($kategoria_2 != 0) {
        $msg .= "Kategória 2: " . $a_kategoria[$kategoria_2] ."\n";
        }
	$kategoria_3 = $data->kategoria_3;
	if ($kategoria_3 != 0) {
        $msg .= "Kategória 3: " . $a_kategoria[$kategoria_3] ."\n\n";
        }


    $msg .= "Keresett szolgáltatás leírása: " . $data->munka ."\n\n";
    $msg .= "Legfontosabb szempontok: " . $data->szempontok ."\n\n";
    $msg .= "Ajánlatküldési határidő: " . $data->ervenyes ."\n";
    $msg .= "Feladva: " . $data->datum ."\n\n";

    return $msg;
    }


function send_mail($s_mail, $s_to) {

	$subject="Konyvel.net - Aktuális munkaajánlatok";
	$xtra="Content-type: text/plain; charset=iso-8859-2\nFrom: info@konyvel.net\r\nReply-To: info@konyvel.net\r\nX-Priority: 3\nX-Mailer: PL-PHP/" . phpversion();

    mail($s_to, $subject, $s_mail, $xtra);
    return true;
    }

function get_kategoriak() {

    $stmt="SELECT id, nev FROM kk_kategoria";
    $mydb = new db();
    $result=$mydb->query($stmt);
    while($row = mysql_fetch_object($result)){
        $a_kategoria[$row->id] = $row->nev;
        }

    return $a_kategoria;
    }


function get_mail_data($s_to) {

    $stmt="SELECT email, datum_2, datum_2>CURDATE() AS ervenyes FROM kk_tag WHERE email = '". addslashes($s_to) ."'";
    $mydb = new db();
    $result=$mydb->query($stmt);

    if (mysql_num_rows($result) == 0) {
        return false;
        }

    $row = mysql_fetch_object($result);
    return $row;
    }


function check_to($s_to) {

    $o_ret = get_mail_data($s_to);
    if ($o_ret === FALSE) {
        return false;
        }

    if ($o_ret->ervenyes) {
        return true;
        }
    
    return false;
    }



include('header.inc.php');
?>

<table border="0" cellpadding="10" cellspacing="10" width="100%">
                            <tr>
                                <td width="100%">
                                <p class="vezercikkcim">Hírlevelek újraküldése</p>


<?php
$s_to = $_POST['resend_mail'];

$s_info = check_to($s_to);

if ($s_info) {
    $a_ajanlatok = get_aktualis_ajanlatok();
    $s_mail = write_mail($a_ajanlatok);
    $s_ret = send_mail($s_mail, $s_to);
    printf("<p>&nbsp;</p>A hírlevelet elküldtük a megadott [%s] címre.", $s_to);
} else {
    printf("<p>&nbsp;</p>A megadott [%s] e-mail cím nem tartozik egyetlen regisztrált tagunkhoz sem. Ha Ön érvényes tagsággal rendelkezik, kérjük vegye fel a kapcsolatot szerkesztőségünkkel az <a href='mailto:info@konyvel.net'>info@konyvet.net</a> e-mail címen.<p>&nbsp;</p>A munkaajánlatok megtekintéséhez kérjük, regisztrálja vállalkozását. A regisztrációhoz kattintson <a href='jelentkezes.php'><b>ide</B></a>.", $s_to);
    }
?>


</td>
</tr>
</table>


<?php
include('footer.inc.php');
?>